Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Subscriptions

Get Subscription

GET
/public/api/v1/subscriptions/{subscriptionId}

Retrieve details about a specific subscription.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

subscriptionIdstring
Required

The id of the subscription to fetch.

Format:
uuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/public/api/v1/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "subscription": {    "id": "01929a94-5fce-7ccc-a7e4-7e9249133b39",    "paymentMethodId": "01924756-d1f6-738d-8040-90d76cedf01f",    "currency": "DKK",    "customerId": "User159",    "pointOfSaleId": "0192473a-e381-705c-b61c-fc2ac9624afc",    "reference": "subscription-1",    "state": "ACTIVE",    "type": "SCHEDULED",    "expiryDate": null,    "interval": {      "period": "MONTH",      "frequency": 1    },    "createdAt": "2024-10-01T10:38:14.658688472+02:00"  },  "paymentMethod": {    "id": "01924756-d1f6-738d-8040-90d76cedf01f",    "type": "CARD",    "customerId": "User159",    "createdAt": "2024-10-01T09:08:45.174235Z",    "displayText": "40000000XXXX0003"  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}